\documentclass[12pt,english,a4paper,oneside,titlepage]{article}

\usepackage[french]{babel}%
\usepackage[utf8]{inputenc}
\usepackage{latex2man}
\usepackage{graphicx}%
\usepackage[pdftex]{hyperref}
%\usepackage{fontspec}
%\setmainfont{Calibri}
\usepackage[%
	translate=babel,%
	toc,%
	style=altlistgroup,%
	acronym,%
	nosuper,%
	notree,%
	nopostdot]{glossaries}		

\usepackage{varioref}
\usepackage{fancyhdr}

\newcommand{\MONTITRE}{PGenerator}%
\newcommand{\MONSOUSTITRE}{User documentation}%
\newcommand{\MONSOUSSOUSTITRE}{Projet Personnalisé Encadré \No 3}%

\date{}
\title{%
  \begin{flushright}
      \noindent{\Huge {\bf \MONTITRE}} \\
      \noindent{\huge \MONSOUSTITRE} \\
      \noindent{\large \MONSOUSSOUSTITRE} \\
  \end{flushright}
}
\author{%
  \begin{minipage}{1.0\linewidth}
      \begin{flushright}
        version en date du \today{}\\~\hrule{}
      \end{flushright}
  \end{minipage}\\
  \begin{minipage}[t]{0.5\linewidth}
      \noindent\href{mailto:victor.lecomte@bts-malraux.net}{Victor \textsc{Lecomte}}\\
      \noindent\href{mailto:corentin.david@bts-malraux.net}{Corentin \textsc{David}}\\
  \end{minipage}
  \begin{minipage}[t]{0.5\linewidth}
      \begin{flushright}
      	  Lycée André Malraux\\
          3 rue beau soleil\\
          72230 Allonnes
      \end{flushright}
  \end{minipage}
}

\lhead{\MONTITRE}
\chead{}%
\rhead{{Victor \textsc{Lecomte}}}


\lfoot[L]{\MONSOUSSOUSTITRE}
\cfoot[C]{}
\rfoot[R]{\thepage}

\renewcommand{\headrulewidth}{0.4pt}
\renewcommand{\footrulewidth}{0.4pt}


\begin{document}
\maketitle
\pagestyle{fancy} 
\tableofcontents
\pagestyle{fancy} 

\newpage
\section{Introductory note}
    Its user and technical documentation is linked to the distributable to understand the operation of this one.
\subsection{User's profile targetted}
	\Prog{PGenerator} fits to every cases and kinds of using, you don't need to earn specific IT skills or grades to use it. If you aren't used to those things, please check out the subsection called "Using the generator step by step".   
\subsection{User's problem which awaits to be solved}
	If you're looking for a dedicated tool which generates playlists for radio broadcasting, by simply calling the program and specify its option(s) on your terminal, then \Prog{playlistGenerator} would respond to your needs and your demands. 
\subsection{Installation guide}
To make the main program, you have to follow steps one by one, in a terminal  :
\begin{itemize}
  \item autoreconf --install (double - -)
  \item ./configure
  \item make
\end{itemize}
If we do not have autoreconf you must install autoconf and automake

\section{Synopsis}
Here are the different options you can use to execute \Prog{PGenerator}\\

\OptArg{--duration}\\
\OptArg{--title}\\
\OptArg{--artist}\\
\OptArg{--album}\\
\OptArg{--format}\\
\OptArg{--genre}\\
\OptArg{--polyphony}\\
\OptArg{--subgenre}\\



\section{Description}
\Prog{PGenerator} is used to generate a playlist file\\
\File{M3U} in M3U format\\
\File{XSPF} in XSPF format\\

\section{Options}
% [-h] [--log {DEBUG,INFO,WARNING,ERROR,CRITICAL}] --time TIME
%                [--output OUTPUT OUTPUT] [-g GENRE QUANTITY]
%                [-s SUB_GENRE QUANTITY] [-b BAND_NAME QUANTITY]
%                [-a ALBUM_NAME QUANTITY] [-t TRACK_TITLE QUANTITY]
%                [-G GENRE QUANTITY] [-S SUB_GENRE QUANTITY]
%                [-B BAND_NAME QUANTITY] [-A ALBUM_NAME QUANTITY]
%                [-T TRACK_TITLE QUANTITY]

\begin{Description}\setlength{\itemsep}{0cm}
    \item[\OptArg{-duration} {"dureetotale"}] Specifies the total duration that will be required
    to make the playlist.
    \item[\OptArg{-title} {"formatTitle"}] Specifies the title of the playlist
    \item[\OptArg{-artist} {"formatArtist"}] Allows you to define the artist(s) to be taken into account.
    to make the playlist.
    \item[\OptArg{-album} {"formatAlbum"}] Allows you to define the album(s) to be taken into account.
    to make the playlist.
     \item[\OptArg{-format} {"formatFormat"}] Allows you to define the format(s) to be taken into account.
    to make the playlist.
     \item[\OptArg{-genre}{"formatGenre"}] Allows you to define the gender(s) to be taken into account.
      \item[\OptArg{-polyphony} {"formatPolyphony"}] Allows you to define the polyphony(s) to be taken into account.
    to make the playlist.
     \item[\OptArg{-subgenre} {"formatSubgenre"}] Allows you to define the subgenre(s) to be taken into account.
    to make the playlist.
\end{Description}

\section{Main program}
\begin{Description}\setlength{\itemsep}{0cm}
    \item[\File{/home/v.lecomte/corentin-victor/src}] Where is  the main program
    \item[\File{./PGenerator}] To execute main prgram   
\end{Description}

\section{Gflags programm}
\begin{Description}\setlength{\itemsep}{0cm}
    \item[\File{/home/v.lecomte/corentin-victor/test}] Where is  the gflags prpgram
    \item[\File{./testGflags}] To execute gflags prgram
\end{Description}

\section{Language}
The application was written in english

\section{Pre-requisite}
\begin{description}
    \item[C++] \Prog{PGenerator} needs to \Prog{c++}
    version $>=$ 11 
\end{description}

\end{document}
